<?php
/*
    Plugin Name: Woo Payment Gateways Bank Indo & Kode Payment
    Plugin URI: https://wpkonten.com/woo-payment-gateways-bank-indo-kode-payment/
    Version: 0.2.1.1
    Description: Add Indonesian Banks to WooCommerce payment gateway and Code payment to make it easier to check the transfer of consumer funds in the seller's account. Code payment is 3 digits (random) added to total shopping automatically.
    Author: Yudhi Purnomo
    Author URI: https://wpkonten.com
    Text Domain: plugins-wpkonten
    Requires at least: 4.0
	Tested up to: 4.9
	Stable tag: 0.2
	License: GPLv3
	License URI: http://www.gnu.org/licenses/gpl-3.0.html
*/
 
class WC_Gateway_Indonesian_Banks_Setup{

	function __construct(){
		add_action( 'plugins_loaded', 				array( $this, 'load' ) );
		add_filter( 'woocommerce_payment_gateways', array( $this, 'register') );
		add_action( 'woocommerce_cart_calculate_fees', array( $this, 'add_kode' ) );
	}

	/**
	 * Requiring files
	 * 
	 * @return void
	 */
	function load(){
		require_once( dirname( __FILE__ ) . '/includes/class-wc-gateway-bank.php' );
		require_once( dirname( __FILE__ ) . '/includes/class-wc-gateway-bca.php' );
		require_once( dirname( __FILE__ ) . '/includes/class-wc-gateway-bni.php' );
		require_once( dirname( __FILE__ ) . '/includes/class-wc-gateway-mandiri.php' );
	}

	/**
	 * Register payment gateways
	 * 
	 * @param array
	 * 
	 * @return array
	 */
	function register( $methods ){
		$methods[] = 'WC_Gateway_Mandiri';
		$methods[] = 'WC_Gateway_BCA';
		$methods[] = 'WC_Gateway_BNI';
		
		return $methods;
	}

	function add_kode(){
		global $woocommerce;

		$enable = 1;  
		$title = __( 'Payment Code', 'plugins-wpkonten' );
		
		
		if ( $enable == 1 && $woocommerce->cart->subtotal != 0){
			if(! is_cart()){
                $cost = rand(100, 999);

				if($cost != 0)
					$woocommerce->cart->add_fee( __($title, 'woocommerce'), $cost);
			}
		}
    }

}
new WC_Gateway_Indonesian_Banks_Setup;